aboutsummaryrefslogtreecommitdiffstats
path: root/target/linux/apm821xx/base-files/lib/upgrade/wdbook.sh
diff options
context:
space:
mode:
Diffstat (limited to 'target/linux/apm821xx/base-files/lib/upgrade/wdbook.sh')
-rw-r--r--target/linux/apm821xx/base-files/lib/upgrade/wdbook.sh11
1 files changed, 3 insertions, 8 deletions
diff --git a/target/linux/apm821xx/base-files/lib/upgrade/wdbook.sh b/target/linux/apm821xx/base-files/lib/upgrade/wdbook.sh
index 2287e0619d..c191271149 100644
--- a/target/linux/apm821xx/base-files/lib/upgrade/wdbook.sh
+++ b/target/linux/apm821xx/base-files/lib/upgrade/wdbook.sh
@@ -7,7 +7,7 @@ mbl_do_platform_check() {
[ "$#" -gt 1 ] && return 1
- export_bootdevice && export_partdevice diskdev -2 || {
+ export_bootdevice && export_partdevice diskdev 0 || {
echo "Unable to determine upgrade device"
return 1
}
@@ -36,7 +36,7 @@ mbl_do_platform_check() {
mbl_do_upgrade() {
local diskdev partdev diff
- export_bootdevice && export_partdevice diskdev -2 || {
+ export_bootdevice && export_partdevice diskdev 0 || {
echo "Unable to determine upgrade device"
return 1
}
@@ -70,10 +70,6 @@ mbl_do_upgrade() {
#iterate over each partition from the image and write it to the boot disk
while read part start size; do
- # root is /dev/sd[a|b]2 and not /dev/sd[a|b] this causes some problem
- # one of which is this offset, I'm not sure what's the best fix, so
- # here's a WA.
- let part=$((part - 2))
if export_partdevice partdev $part; then
echo "Writing image to /dev/$partdev..."
get_image "$@" | dd of="/dev/$partdev" ibs="512" obs=1M skip="$start" count="$size" conv=fsync
@@ -90,8 +86,7 @@ mbl_do_upgrade() {
mbl_copy_config() {
local partdev
- # Same as above /dev/sd[a|b]2 is root, so /boot is -1
- if export_partdevice partdev -1; then
+ if export_partdevice partdev 1; then
mount -t ext4 -o rw,noatime "/dev/$partdev" /mnt
cp -af "$CONF_TAR" /mnt/
umount /mnt